| Home | Libraries | People | FAQ | More

## Class unknown_option

boost::program_options::unknown_option —

## Synopsis

    class unknown_option : public boost::program_options::error {
    public:
      // construct/copy/destruct
      unknown_option(const std::string &);

      // public member functions
    };

## Description

Class thrown when option name is not recognized.

### `unknown_option` construct/copy/destruct

1.     unknown_option(const std::string & name);

### `unknown_option` public member functions

| Copyright © 2002-2004 Vladimir Prus